IterationMonitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix.sparse
Interface IterationMonitor

All Known Implementing Classes:
  AbstractIterationMonitor, DefaultIterationMonitor, MatrixIterationMonitor

    public interface IterationMonitor

Monitors the iterative solution process for convergence and divergence. Can also report the current progress.

Method Summary
`boolean` | `converged(double r)` Checks for convergence
`boolean` | `converged(double r, Vector x)` Checks for convergence
`boolean` | `converged(Vector r)` Checks for convergence
`boolean` | `converged(Vector r, Vector x)` Checks for convergence
`IterationReporter` | `getIterationReporter()` Returns current iteration reporter
`Vector.Norm` | `getNormType()` Returns the vector-norm in use
`boolean` | `isFirst()` Returns true for the first iteration
`int` | `iterations()` Number of iterations performed
`void` | `next()` Increases iteration counter
`double` | `residual()` Returns current residual
`void` | `setFirst()` Resets the iteration
`void` | `setIterationReporter(IterationReporter monitor)` Sets new iteration reporter
`void` | `setNormType(Vector.Norm normType)` Sets the vector-norm to calculate with

Method Detail

### setFirst

    void setFirst()

  Resets the iteration

### isFirst

    boolean isFirst()

  Returns true for the first iteration

### next

    void next()

  Increases iteration counter

### iterations

    int iterations()

  Number of iterations performed

### residual

    double residual()

  Returns current residual

### converged

    boolean converged(Vector r,
                      Vector x)
                      throws IterativeSolverNotConvergedException

  Checks for convergence

  Parameters:
    `r` - Residual-vector
    `x` - State-vector
  Returns:
    True if converged
  Throws:
    `IterativeSolverNotConvergedException`

### converged

    boolean converged(double r,
                      Vector x)
                      throws IterativeSolverNotConvergedException

  Checks for convergence

  Parameters:
    `r` - Residual-norm
    `x` - State-vector
  Returns:
    True if converged
  Throws:
    `IterativeSolverNotConvergedException`

### converged

    boolean converged(double r)
                      throws IterativeSolverNotConvergedException

  Checks for convergence

  Parameters:
    `r` - Residual-norm
  Returns:
    True if converged
  Throws:
    `IterativeSolverNotConvergedException`

### converged

    boolean converged(Vector r)
                      throws IterativeSolverNotConvergedException

  Checks for convergence

  Parameters:
    `r` - Residual-vector
  Returns:
    True if converged
  Throws:
    `IterativeSolverNotConvergedException`

### setIterationReporter

    void setIterationReporter(IterationReporter monitor)

  Sets new iteration reporter

### getIterationReporter

    IterationReporter getIterationReporter()

  Returns current iteration reporter

### setNormType

    void setNormType(Vector.Norm normType)

  Sets the vector-norm to calculate with

### getNormType

    Vector.Norm getNormType()

  Returns the vector-norm in use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD